import { UserVisibleWorkspace } from "../../../meta/core/resources/users/user-visible-workspace.resource";
import { UserVisibleWorkspaceInfo } from "../../layout/toolbar/visible-workspace-picker/visible-workspace-picker-types";
/** @monorepo-internal */
export declare function getUserVisibleWorkspaces(): Promise<UserVisibleWorkspaceInfo>;
/** @monorepo-internal */
export declare function getVisibleWorkspaces(): Promise<any>;
/** @monorepo-internal */
export declare function setVisibleWorkspaces(visibleWorkspaceIds: string[]): Promise<void>;
/** @monorepo-internal */
export declare function deletePreviousVisibleWorkspaces(userId: string, currentWorkspaceId: string): Promise<void>;
/** @monorepo-internal */
export declare function getUserToVisibleWorkspaceRecords(userId: string, currentWorkspaceId: string): Promise<UserVisibleWorkspace[]>;
